package app.repositories;

import app.entities.QuestionEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import javax.transaction.Transactional;
import java.util.List;
import java.util.Optional;

@Repository
public interface QuestionEntityRepository extends CrudRepository<QuestionEntity, Integer> {
    Optional<List<QuestionEntity>> findAllByPaperIdOrderByQuestionIdAsc(int paperId);
    Optional<QuestionEntity> findByQuestionId(int questionId);
    boolean existsByQuestionId(int questionId);
    @Transactional
    void deleteByPaperId(int paperId);
}
