import {Injectable} from '@angular/core';
import {HttpErrorResponse} from '@angular/common/http';
import {Observable, throwError} from 'rxjs';

@Injectable()
export class HttpErrorService {

  public handleError(error: HttpErrorResponse): Observable<string> {
    if (error.error instanceof ErrorEvent) {
        console.error('Frontend or network error occurred. ' + error.message);
    } else {
      console.error('Backend error occurred. ' + 'NAME: ' + error.name + ' ' + 'MSG: ' + error.message + ' '
        + 'ERR: ' + error.error + ' ' + 'URL: ' + error.url.toString());
    }

    return throwError('Something bad has happened. Please try again later.');
  }
}
