import {BehaviorSubject} from 'rxjs';
import {ResponseGraphDetailsDao} from 'src/app/dao/ResponseGraphDetails.dao';

export class LecturerResponseGraphService {

  private loadedYear = new BehaviorSubject<number>(0);
  private loadedClasses = new BehaviorSubject<ResponseGraphDetailsDao[]>([]);

  public loadedYear$ = this.loadedYear.asObservable();
  public loadedClasses$ = this.loadedClasses.asObservable();

  public changeYear(year: number) {
    this.loadedYear.next(year);
  }

  public changeClasses(ompClasses: ResponseGraphDetailsDao[]) {
    this.loadedClasses.next(ompClasses);
  }


}

